﻿using UnityEditor;

namespace XGame.Editor.Build
{
    //public delegate void BuildAppEvent(int code);
    public partial class BuildConfig
    {
        public ProjectSettings project;
        public EditorSettings editor;
        public GitSettings git;
        public AndroidSettings android;
        public IOSSettings iOS;

        public BuildTarget target;

        /// <summary>
        ///  .NET API compatibility level.
        /// </summary>
        public ApiCompatibilityLevel compatibilityLevel;
        /// <summary>
        /// 代码编译类型
        /// </summary>
        public ScriptingImplementation scriptImpl;
        /// <summary>
        /// 是否需要设置预编译宏
        /// </summary>
        public bool isSetScriptDefine;
        /// <summary>
        /// 发布类型
        /// </summary>
        public PublishType publishType;
        /// <summary>
        /// 打包操作
        /// </summary>
        public BuildOperation operations;
        /// <summary>
        /// androidCreateSymbolsZip
        /// 是否生成字符表
        /// 默认生成，故反过来命名
        /// </summary>
        public bool NoCreateSymbolsZip;

        /// <summary>
        /// 是否忽略资源分包操作
        /// </summary>
        public bool ignoreSplitAssets;

        /// <summary>
        /// 打包结束的回调
        /// 格式: $"<callback type:{callback.Method.ReflectedType.AssemblyQualifiedName} method:{callback.Method.Name} /callback>"
        /// </summary>
        public string callback;
    }
}
